import { API } from "./API";
import { Block } from "./Block";
import { ClientOption } from "./ClientOption";
import { Peer } from "./Peer";
import { RPCErrorCode } from "./RPCErrorCode";
import { Transaction } from "./Transaction";
import { WalletInfo } from "./WalletInfo";
export declare class Client extends API {
    options: ClientOption;
    errors: RPCErrorCode[];
    constructor(options: ClientOption);
    private send;
    private auth;
    unlockWallet(passphrase: any, timeout?: number): Promise<boolean>;
    getBalance(account?: string): Promise<number>;
    getInfo(): Promise<WalletInfo>;
    getPeerInfo(): Promise<Array<Peer>>;
    getTransactionList(count?: number, from?: number, account?: string): Promise<Transaction[]>;
    sendToAddress(address: string, amount: number): Promise<Client>;
    walletLock(): Promise<any>;
    getNewAddress(): Promise<string>;
    getNewStealthAddress(): Promise<string>;
    getBlockByNumber(blocknumber: number): Promise<Block>;
}
